<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <script src=js/script.js></script>
    <title>Title</title>
    <style>
        div {
            border: 1px solid yellowgreen;
            font-size: 24px;
            color: #fff;
            padding: 5px 35px;
            width: 40px;
            text-align: center;
            border-radius: 5px;
            background-color: #AAD64C;

        }

    </style>
</head>
<body>
<div id="timer">10</div>

<script>

    let count = +prompt("Введите количество элементов");
    let listArr = [];

    for (i=0; i<count; i++) {
       listArr.push(prompt(`введите содержимое ${i+1} елемента списка`));
    };
   let list = `<ul>${listArr.map(listArr=>`<li>${listArr}</li>`).join("")}</ul>`;
    document.body.innerHTML+=list;

    function timer() {
        let obj = document.getElementById('timer');
        obj.innerHTML--;
        if (obj.innerHTML != 0) {
            setTimeout(timer, 1000);
        } else {
            document.body.innerHTML = '';
        }
    }
    timer();


</script>
</body>
</html>